From 00526014247bb63680e53c35d4a76d0dac989405 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?M=C3=93ZES=20=C3=81d=C3=A1m=20Istv=C3=A1n?=
 <adam.mozes@balabit.com>
Date: Fri, 18 Sep 2015 17:48:35 +0200
Subject: [PATCH] python-dest: Replace deprecated function calls.
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

This commit replaces all PyString_Check calls to
PyBytes_Check calls.
It will be compatible with the python2.6+ libraries, because this
change was made in the python headers, too.

Signed-off-by: MÓZES Ádám István <adam.mozes@balabit.com>
---
 modules/python/python-debugger.c | 2 +-
 modules/python/python-tf.c       | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/modules/python/python-debugger.c b/modules/python/python-debugger.c
index 539ae9f..4d4ba81 100644
--- a/modules/python/python-debugger.c
+++ b/modules/python/python-debugger.c
@@ -90,7 +90,7 @@ python_fetch_debugger_command(void)
                 NULL);
       goto exit;
     }
-  if (!PyString_Check(ret))
+  if (!PyBytes_Check(ret))
     {
       msg_error("Return value from debugger fetch_command is not a string",
                 evt_tag_str("function", DEBUGGER_FETCH_COMMAND),
diff --git a/modules/python/python-tf.c b/modules/python/python-tf.c
index 4b36605..b207f78 100644
--- a/modules/python/python-tf.c
+++ b/modules/python/python-tf.c
@@ -81,7 +81,7 @@ _py_invoke_template_function(const gchar *function_name, LogMessage *msg, gint a
 static gboolean
 _py_convert_return_value_to_result(const gchar *function_name, PyObject *ret, GString *result)
 {
-  if (!PyString_Check(ret))
+  if (!PyBytes_Check(ret))
     {
       msg_error("$(python): The return value is not a string",
                 evt_tag_str("function", function_name),
